summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author nobody <nobody@nowhere>2010-05-12 17:39:15 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 17:39:15 +0200
commit7901b22b275a76ec3e29ad0f01222c86a2b56e05 (patch)
treed38f3bde57a3127a2bf0eb9c69fd212e4b780779 /games
parent50ae138b87edd9295fb9855a111fad29443f5e5e (diff)
downloadslackbuilds-7901b22b275a76ec3e29ad0f01222c86a2b56e05.tar.gz
slackbuilds-7901b22b275a76ec3e29ad0f01222c86a2b56e05.tar.xz
games/foobillard: Updated for version 3.0a
Diffstat (limited to 'games')
-rw-r--r--games/foobillard/doinst.sh5
-rw-r--r--games/foobillard/foobillard.SlackBuild55
-rw-r--r--games/foobillard/foobillard.desktop1
-rw-r--r--games/foobillard/foobillard.info6
-rw-r--r--games/foobillard/slack-desc10
5 files changed, 40 insertions, 37 deletions
diff --git a/games/foobillard/doinst.sh b/games/foobillard/doinst.sh
index 98d466d8b9..392c12adb9 100644
--- a/games/foobillard/doinst.sh
+++ b/games/foobillard/doinst.sh
@@ -1,3 +1,4 @@
-if [ -x usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
fi
+
diff --git a/games/foobillard/foobillard.SlackBuild b/games/foobillard/foobillard.SlackBuild
index f2ed37fa24..10f65c4023 100644
--- a/games/foobillard/foobillard.SlackBuild
+++ b/games/foobillard/foobillard.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for FooBillard
-# Copyright 2007 Frank Caraballo <fecaraballo[AT]gmail.com>
+# Copyright 2007, 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,31 +23,38 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=foobillard
-VERSION=3.0a
+VERSION=${VERSION:-3.0a}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-PDOCS="AUTHORS ChangeLog COPYING INSTALL NEWS README README.FONTS TODO"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM-$VERSION.tar.* || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -55,33 +62,27 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- || exit 1
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make
+make install-strip DESTDIR=$PKG
# Add missed man page:
-mkdir -p $PKG/usr/man/man6
-cp -a $PRGNAM.6 $PKG/usr/man/man6
-
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+install -D -m 0644 foobillard.6 $PKG/usr/man/man6/foobillard.6
+gzip -9 $PKG/usr/man/man6/foobillard.6
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README* TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-mkdir -p $PKG/install
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-mkdir -p $PKG/usr/share/pixmaps
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
cat $CWD/$PRGNAM.xpm > $PKG/usr/share/pixmaps/$PRGNAM.xpm
-mkdir -p $PKG/usr/share/applications
-cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/foobillard/foobillard.desktop b/games/foobillard/foobillard.desktop
index 2926ccbc9f..3bce2be5f3 100644
--- a/games/foobillard/foobillard.desktop
+++ b/games/foobillard/foobillard.desktop
@@ -3,6 +3,7 @@ Encoding=UTF-8
Name=FooBillard
GenericName=OpenGL-billard Game
Exec=foobillard
+TryExec=foobillard
Terminal=false
Type=Application
Categories=Application;Game;ActionGame
diff --git a/games/foobillard/foobillard.info b/games/foobillard/foobillard.info
index cc5eb59a57..c20cab98b2 100644
--- a/games/foobillard/foobillard.info
+++ b/games/foobillard/foobillard.info
@@ -3,6 +3,6 @@ VERSION="3.0a"
HOMEPAGE="http://foobillard.sunsite.dk/"
DOWNLOAD="http://foobillard.sunsite.dk/dnl/foobillard-3.0a.tar.gz"
MD5SUM="c2d92edeaaf8bfb18aa26f1c79931b7d"
-MAINTAINER="Frank Caraballo"
-EMAIL="fecaraballo[AT]gmail.com"
-APPROVED="BP{k}"
+MAINTAINER="nobody"
+EMAIL="nobody@nowhere"
+APPROVED="rworkman"
diff --git a/games/foobillard/slack-desc b/games/foobillard/slack-desc
index 218903bd38..444455d882 100644
--- a/games/foobillard/slack-desc
+++ b/games/foobillard/slack-desc
@@ -1,11 +1,11 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
foobillard: FooBillard (OpenGL-billard Game)
foobillard:
foobillard: FooBillard is a free OpenGL-billard game for Linux with realistic